tigase.conf

## Interface Configurable

- All Superinterfaces:
    ServerComponent
  All Known Implementing Classes:
    AbstractComponent, AbstractComponentRegistrator, AbstractMessageReceiver, AmpComponent, AmpComponentClustered, BasicComponent, BoshConnectionClustered, BoshConnectionManager, ClientConnectionClustered, ClientConnectionManager, ClusterConnectionManager, ClusterController, ComponentConnectionManager, ComponentProtocol, Configurator, ConfiguratorAbstract, ConfiguratorOld, ConnectionManager, EchoComponent, EventBusComponent, MessageRouter, MonitorClustered, MonitorComponent, MonitorComponent, S2SConnectionManager, ServerConnectionManager, SessionManager, SessionManagerClustered, StanzaReceiver, StanzaSender, StatisticsCollector, TestComponent, VHostManager, VirtualComponent, WebSocketClientConnectionClustered, WebSocketClientConnectionManager, XMPPServiceCollector

      public interface Configurable
      extends ServerComponent

  Interface Configurable Objects inheriting this interface can be configured. In Tigase system object can't request configuration properties. Configuration of the object is passed to it at some time. Actually it can be passed at any time. This allows dynamic system reconfiguration at runtime. Created: Tue Nov 22 07:07:11 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADMINS_PROP_KEY` Field description
    `static String` | `AMP_CLASS_NAME` Field description
    `static String` | `AMP_CLUST_CLASS_NAME` Field description
    `static String` | `AUTH_DOMAIN_POOL_CLASS` Deprecated. moved to RepositoryFactory
    `static String` | `AUTH_REPO_DOMAINS_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `AUTH_REPO_PARAMS_NODE` Deprecated. moved to RepositoryFactory
    `static String` | `AUTH_REPO_POOL_CLASS` Deprecated. moved to RepositoryFactory
    `static String` | `AUTH_REPO_URL_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `BOSH_CLUST_COMP_CLASS_NAME` Field description
    `static String` | `BOSH_COMP_CLASS_NAME` Field description
    `static String` | `C2S_CLUST_COMP_CLASS_NAME` Field description
    `static String` | `C2S_COMP_CLASS_NAME` Field description
    `static String` | `CL_COMP_CLASS_NAME` Field description
    `static String` | `CLUSTER_CONECT` Field description
    `static String` | `CLUSTER_CONTR_CLASS_NAME` Field description
    `static String` | `CLUSTER_LISTEN` Field description
    `static String` | `CLUSTER_MODE` Constant `CLUSTER_MODE` sets the cluster mode to either `true` or `false`.
    `static String` | `CLUSTER_NODES` Constant `CLUSTER_NODES` is for setting list of cluster nodes the instance should try to connect to.
    `static String` | `CLUSTER_NODES_PROP_KEY` Field description
    `static String` | `COMP_PROT_CLASS_NAME` Field description
    `static String` | `COMPONENT_ID_PROP_KEY` Field description
    `static String` | `DEF_AMP_NAME` Field description
    `static String` | `DEF_BOSH_NAME` Field description
    `static String` | `DEF_C2S_NAME` Field description
    `static String` | `DEF_CL_COMP_NAME` Field description
    `static String` | `DEF_CLUST_CONTR_NAME` Field description
    `static String` | `DEF_COMP_PROT_NAME` Field description
    `static String` | `DEF_EVENTBUS_NAME` Field description
    `static String` | `DEF_EXT_COMP_NAME` Field description
    `static String` | `DEF_HOSTNAME_PROP_KEY` Field description
    `static String` | `DEF_MONITOR_NAME` Field description
    `static String` | `DEF_S2S_NAME` Field description
    `static String` | `DEF_SM_NAME` Field description
    `static String` | `DEF_SRECV_NAME` Field description
    `static String` | `DEF_SSEND_NAME` Field description
    `static String` | `DEF_STATS_NAME` Field description
    `static String` | `DEF_VHOST_MAN_NAME` Field description
    `static String` | `DEF_WS2S_NAME` Field description
    `static String` | `DERBY_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `DERBY_REPO_URL_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `DRUPAL_REPO_URL_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `DRUPALWP_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `DUMMY_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `EVENTBUS_CLASS_NAME` Field description
    `static String` | `EXT_COMP_CLASS_NAME` Field description
    `static String` | `GEN_ADMINS` Field description
    `static String` | `GEN_AUTH_DB` Deprecated. moved to RepositoryFactory
    `static String` | `GEN_AUTH_DB_URI` Deprecated. moved to RepositoryFactory
    `static String` | `GEN_COMP_CLASS` Field description
    `static String` | `GEN_COMP_NAME` Field description
    `static String` | `GEN_CONF` Field description
    `static String` | `GEN_CONFIG` Constant `GEN_CONFIG` keeps the string with which all configuration types starts.
    `static String` | `GEN_CONFIG_ALL` Constant `GEN_CONFIG_ALL` keeps parameter name for configuration with all available components loaded directly to the server.
    `static String` | `GEN_CONFIG_COMP` Constant `GEN_CONFIG_COMP` keeps parameter name for configuration with a single (given as an extra parameter) component and XEP-0114 or XEP-0225 component loaded and preconfigured to connect to other Jabber/XMPP server instance (either Tigase or any different server).
    `static String` | `GEN_CONFIG_CS` Constant `GEN_CONFIG_CS` keeps parameter name for configuration with ClientConnectionManager loaded and XEP-0114 component preconfigured to connect to server instance with SessionManager loaded.
    `static String` | `GEN_CONFIG_DEF` Constant `GEN_CONFIG_DEF` keeps parameter name for the most typical configuration: SessionManager, ClientConnectionManager and S2SConnectionManager loaded.
    `static String` | `GEN_CONFIG_SM` Constant `GEN_CONFIG_SM` keeps parameter name for configuration with SessionManager loaded and XEP-0114 component preconfigured to connect to server instance with ClientConnectionManager.
    `static String` | `GEN_DEBUG` Field description
    `static String` | `GEN_DEBUG_PACKAGES` Field description
    `static String` | `GEN_EXT_COMP` Field description
    `static String` | `GEN_MAX_QUEUE_SIZE` Field description
    `static String` | `GEN_SCRIPT_DIR` Field description
    `static String` | `GEN_SM_PLUGINS` Field description
    `static String` | `GEN_SREC_ADMINS` Field description
    `static String` | `GEN_SREC_DB` Field description
    `static String` | `GEN_SREC_DB_URI` Field description
    `static String` | `GEN_TEST` Field description
    `static String` | `GEN_TRUSTED` Field description
    `static String` | `GEN_USER_DB` Deprecated. moved to RepositoryFactory
    `static String` | `GEN_USER_DB_URI` Deprecated. moved to RepositoryFactory
    `static String` | `GEN_USER_DB_URI_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `GEN_VIRT_HOSTS` Field description
    `static String` | `HOSTNAMES_PROP_KEY` Field description
    `static String` | `LIBRESOURCE_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `LIBRESOURCE_REPO_URL_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `MONITOR_CLASS_NAME` Field description
    `static String` | `MONITOR_CLUST_CLASS_NAME` Field description
    `static String` | `MONITORING` Field description
    `static String` | `MYSQL_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `MYSQL_REPO_URL_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `PGSQL_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `PGSQL_REPO_URL_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `ROUTER_COMP_CLASS_NAME` Field description
    `static String` | `S2S_CLUST_COMP_CLASS_NAME` Field description
    `static String` | `S2S_COMP_CLASS_NAME` Field description
    `static String` | `SHARED_AUTH_REPO_PARAMS_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `SHARED_AUTH_REPO_PROP_KEY` Deprecated.
    `static String` | `SHARED_USER_REPO_PARAMS_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `SHARED_USER_REPO_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `SM_CLUST_COMP_CLASS_NAME` Field description
    `static String` | `SM_COMP_CLASS_NAME` Field description
    `static String` | `SRECV_COMP_CLASS_NAME` Field description
    `static String` | `SSEND_COMP_CLASS_NAME` Field description
    `static String` | `STANZA_WHITE_CHAR_ACK` Field description
    `static String` | `STANZA_XMPP_ACK` Field description
    `static String` | `STATS_CLASS_NAME` Field description
    `static String` | `STRINGPREP_PROCESSOR` Field description
    `static String` | `TIGASE_AUTH_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `TIGASE_AUTH_REPO_URL_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `TRUSTED_PROP_KEY` Field description
    `static String` | `USER_DOMAIN_POOL_CLASS` Deprecated. moved to RepositoryFactory
    `static String` | `USER_REPO_DOMAINS_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `USER_REPO_PARAMS_NODE` Deprecated. moved to RepositoryFactory
    `static String` | `USER_REPO_POOL_CLASS` Deprecated. moved to RepositoryFactory
    `static String` | `USER_REPO_POOL_SIZE` Deprecated. moved to RepositoryFactory
    `static String` | `USER_REPO_POOL_SIZE_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `USER_REPO_URL_PROP_KEY` Deprecated. moved to RepositoryFactory
    `static String` | `VHOST_MAN_CLASS_NAME` Field description
    `static String` | `VHOST_MAN_CLUST_CLASS_NAME` Field description
    `static String` | `WS2S_CLASS_NAME` Field description
    `static String` | `WS2S_CLUST_CLASS_NAME` Field description
    `static String` | `XML_REPO_CLASS_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `XML_REPO_URL_PROP_VAL` Deprecated. moved to RepositoryFactory
    `static String` | `XMPP_STANZA_ACK` Field description

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getDefaults(Map<String,Object> params)` Returns default configuration settings for the component as a `Map` with keys as configuration property IDs and values as the configuration property values.
    `void` | `setProperties(Map<String,Object> properties)` Sets all configuration properties for the object.

    - ### Methods inherited from interface tigase.server.ServerComponent

      `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

- - ### Field Detail

    - #### ADMINS_PROP_KEY

          static final String ADMINS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### AMP_CLASS_NAME

          static final String AMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### AMP_CLUST_CLASS_NAME

          static final String AMP_CLUST_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### BOSH_CLUST_COMP_CLASS_NAME

          static final String BOSH_CLUST_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### BOSH_COMP_CLASS_NAME

          static final String BOSH_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### C2S_CLUST_COMP_CLASS_NAME

          static final String C2S_CLUST_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### C2S_COMP_CLASS_NAME

          static final String C2S_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### CL_COMP_CLASS_NAME

          static final String CL_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### CLUSTER_CONECT

          static final String CLUSTER_CONECT

      Field description
      See Also:
        Constant Field Values

    - #### CLUSTER_CONTR_CLASS_NAME

          static final String CLUSTER_CONTR_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### CLUSTER_LISTEN

          static final String CLUSTER_LISTEN

      Field description
      See Also:
        Constant Field Values

    - #### CLUSTER_MODE

          static final String CLUSTER_MODE

      Constant `CLUSTER_MODE` sets the cluster mode to either `true` or `false`. By default cluster mode is set to `false`.
      See Also:
        Constant Field Values

    - #### CLUSTER_NODES

          static final String CLUSTER_NODES

      Constant `CLUSTER_NODES` is for setting list of cluster nodes the instance should try to connect to.
      See Also:
        Constant Field Values

    - #### CLUSTER_NODES_PROP_KEY

          static final String CLUSTER_NODES_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### COMP_PROT_CLASS_NAME

          static final String COMP_PROT_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### COMPONENT_ID_PROP_KEY

          static final String COMPONENT_ID_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### DEF_AMP_NAME

          static final String DEF_AMP_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_BOSH_NAME

          static final String DEF_BOSH_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_C2S_NAME

          static final String DEF_C2S_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_CL_COMP_NAME

          static final String DEF_CL_COMP_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_CLUST_CONTR_NAME

          static final String DEF_CLUST_CONTR_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_COMP_PROT_NAME

          static final String DEF_COMP_PROT_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_EVENTBUS_NAME

          static final String DEF_EVENTBUS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_EXT_COMP_NAME

          static final String DEF_EXT_COMP_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_HOSTNAME_PROP_KEY

          static final String DEF_HOSTNAME_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### DEF_MONITOR_NAME

          static final String DEF_MONITOR_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_S2S_NAME

          static final String DEF_S2S_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_SM_NAME

          static final String DEF_SM_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_SRECV_NAME

          static final String DEF_SRECV_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_SSEND_NAME

          static final String DEF_SSEND_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_STATS_NAME

          static final String DEF_STATS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_VHOST_MAN_NAME

          static final String DEF_VHOST_MAN_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DEF_WS2S_NAME

          static final String DEF_WS2S_NAME

      Field description
      See Also:
        Constant Field Values

    - #### EVENTBUS_CLASS_NAME

          static final String EVENTBUS_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### EXT_COMP_CLASS_NAME

          static final String EXT_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### GEN_ADMINS

          static final String GEN_ADMINS

      Field description
      See Also:
        Constant Field Values

    - #### GEN_COMP_CLASS

          static final String GEN_COMP_CLASS

      Field description
      See Also:
        Constant Field Values

    - #### GEN_COMP_NAME

          static final String GEN_COMP_NAME

      Field description
      See Also:
        Constant Field Values

    - #### GEN_CONF

          static final String GEN_CONF

      Field description
      See Also:
        Constant Field Values

    - #### GEN_CONFIG

          static final String GEN_CONFIG

      Constant `GEN_CONFIG` keeps the string with which all configuration types starts.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_ALL

          static final String GEN_CONFIG_ALL

      Constant `GEN_CONFIG_ALL` keeps parameter name for configuration with all available components loaded directly to the server.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_SM

          static final String GEN_CONFIG_SM

      Constant `GEN_CONFIG_SM` keeps parameter name for configuration with SessionManager loaded and XEP-0114 component preconfigured to connect to server instance with ClientConnectionManager.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_DEF

          static final String GEN_CONFIG_DEF

      Constant `GEN_CONFIG_DEF` keeps parameter name for the most typical configuration: SessionManager, ClientConnectionManager and S2SConnectionManager loaded.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_CS

          static final String GEN_CONFIG_CS

      Constant `GEN_CONFIG_CS` keeps parameter name for configuration with ClientConnectionManager loaded and XEP-0114 component preconfigured to connect to server instance with SessionManager loaded.
      See Also:
        Constant Field Values

    - #### GEN_CONFIG_COMP

          static final String GEN_CONFIG_COMP

      Constant `GEN_CONFIG_COMP` keeps parameter name for configuration with a single (given as an extra parameter) component and XEP-0114 or XEP-0225 component loaded and preconfigured to connect to other Jabber/XMPP server instance (either Tigase or any different server).
      See Also:
        Constant Field Values

    - #### GEN_DEBUG

          static final String GEN_DEBUG

      Field description
      See Also:
        Constant Field Values

    - #### GEN_DEBUG_PACKAGES

          static final String GEN_DEBUG_PACKAGES

      Field description
      See Also:
        Constant Field Values

    - #### GEN_EXT_COMP

          static final String GEN_EXT_COMP

      Field description
      See Also:
        Constant Field Values

    - #### GEN_MAX_QUEUE_SIZE

          static final String GEN_MAX_QUEUE_SIZE

      Field description
      See Also:
        Constant Field Values

    - #### GEN_SCRIPT_DIR

          static final String GEN_SCRIPT_DIR

      Field description
      See Also:
        Constant Field Values

    - #### GEN_SM_PLUGINS

          static final String GEN_SM_PLUGINS

      Field description
      See Also:
        Constant Field Values

    - #### GEN_SREC_ADMINS

          static final String GEN_SREC_ADMINS

      Field description
      See Also:
        Constant Field Values

    - #### GEN_SREC_DB

          static final String GEN_SREC_DB

      Field description
      See Also:
        Constant Field Values

    - #### GEN_SREC_DB_URI

          static final String GEN_SREC_DB_URI

      Field description
      See Also:
        Constant Field Values

    - #### GEN_TEST

          static final String GEN_TEST

      Field description
      See Also:
        Constant Field Values

    - #### GEN_TRUSTED

          static final String GEN_TRUSTED

      Field description
      See Also:
        Constant Field Values

    - #### GEN_USER_DB

          @Deprecated
          static final String GEN_USER_DB

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### GEN_VIRT_HOSTS

          static final String GEN_VIRT_HOSTS

      Field description
      See Also:
        Constant Field Values

    - #### HOSTNAMES_PROP_KEY

          static final String HOSTNAMES_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### MONITOR_CLASS_NAME

          static final String MONITOR_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### MONITOR_CLUST_CLASS_NAME

          static final String MONITOR_CLUST_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### MONITORING

          static final String MONITORING

      Field description
      See Also:
        Constant Field Values

    - #### ROUTER_COMP_CLASS_NAME

          static final String ROUTER_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### S2S_CLUST_COMP_CLASS_NAME

          static final String S2S_CLUST_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### S2S_COMP_CLASS_NAME

          static final String S2S_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### SM_CLUST_COMP_CLASS_NAME

          static final String SM_CLUST_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### SM_COMP_CLASS_NAME

          static final String SM_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### SRECV_COMP_CLASS_NAME

          static final String SRECV_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### SSEND_COMP_CLASS_NAME

          static final String SSEND_COMP_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### STANZA_WHITE_CHAR_ACK

          static final String STANZA_WHITE_CHAR_ACK

      Field description
      See Also:
        Constant Field Values

    - #### STANZA_XMPP_ACK

          static final String STANZA_XMPP_ACK

      Field description
      See Also:
        Constant Field Values

    - #### STATS_CLASS_NAME

          static final String STATS_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### STRINGPREP_PROCESSOR

          static final String STRINGPREP_PROCESSOR

      Field description
      See Also:
        Constant Field Values

    - #### TRUSTED_PROP_KEY

          static final String TRUSTED_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### USER_REPO_POOL_CLASS

          @Deprecated
          static final String USER_REPO_POOL_CLASS

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### USER_DOMAIN_POOL_CLASS

          @Deprecated
          static final String USER_DOMAIN_POOL_CLASS

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### GEN_USER_DB_URI_PROP_KEY

          @Deprecated
          static final String GEN_USER_DB_URI_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### GEN_USER_DB_URI

          @Deprecated
          static final String GEN_USER_DB_URI

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### GEN_AUTH_DB_URI

          @Deprecated
          static final String GEN_AUTH_DB_URI

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### GEN_AUTH_DB

          @Deprecated
          static final String GEN_AUTH_DB

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### AUTH_REPO_POOL_CLASS

          @Deprecated
          static final String AUTH_REPO_POOL_CLASS

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### AUTH_DOMAIN_POOL_CLASS

          @Deprecated
          static final String AUTH_DOMAIN_POOL_CLASS

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### USER_REPO_POOL_SIZE

          @Deprecated
          static final String USER_REPO_POOL_SIZE

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### VHOST_MAN_CLASS_NAME

          static final String VHOST_MAN_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### VHOST_MAN_CLUST_CLASS_NAME

          static final String VHOST_MAN_CLUST_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### WS2S_CLASS_NAME

          static final String WS2S_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### WS2S_CLUST_CLASS_NAME

          static final String WS2S_CLUST_CLASS_NAME

      Field description
      See Also:
        Constant Field Values

    - #### XMPP_STANZA_ACK

          static final String XMPP_STANZA_ACK

      Field description
      See Also:
        Constant Field Values

    - #### XML_REPO_URL_PROP_VAL

          @Deprecated
          static final String XML_REPO_URL_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### XML_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String XML_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### USER_REPO_URL_PROP_KEY

          @Deprecated
          static final String USER_REPO_URL_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### USER_REPO_POOL_SIZE_PROP_KEY

          @Deprecated
          static final String USER_REPO_POOL_SIZE_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### USER_REPO_PARAMS_NODE

          @Deprecated
          static final String USER_REPO_PARAMS_NODE

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### USER_REPO_DOMAINS_PROP_KEY

          @Deprecated
          static final String USER_REPO_DOMAINS_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String TIGASE_CUSTOM_AUTH_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### TIGASE_AUTH_REPO_URL_PROP_VAL

          @Deprecated
          static final String TIGASE_AUTH_REPO_URL_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### TIGASE_AUTH_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String TIGASE_AUTH_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### SHARED_USER_REPO_PROP_KEY

          @Deprecated
          static final String SHARED_USER_REPO_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### SHARED_USER_REPO_PARAMS_PROP_KEY

          @Deprecated
          static final String SHARED_USER_REPO_PARAMS_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### SHARED_AUTH_REPO_PROP_KEY

          @Deprecated
          static final String SHARED_AUTH_REPO_PROP_KEY

      Deprecated.
      Field description
      See Also:
        Constant Field Values

    - #### SHARED_AUTH_REPO_PARAMS_PROP_KEY

          @Deprecated
          static final String SHARED_AUTH_REPO_PARAMS_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### PGSQL_REPO_URL_PROP_VAL

          @Deprecated
          static final String PGSQL_REPO_URL_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### PGSQL_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String PGSQL_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### MYSQL_REPO_URL_PROP_VAL

          @Deprecated
          static final String MYSQL_REPO_URL_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### MYSQL_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String MYSQL_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### LIBRESOURCE_REPO_URL_PROP_VAL

          @Deprecated
          static final String LIBRESOURCE_REPO_URL_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### LIBRESOURCE_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String LIBRESOURCE_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### DUMMY_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String DUMMY_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### DRUPALWP_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String DRUPALWP_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### DRUPAL_REPO_URL_PROP_VAL

          @Deprecated
          static final String DRUPAL_REPO_URL_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### DERBY_REPO_URL_PROP_VAL

          @Deprecated
          static final String DERBY_REPO_URL_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### DERBY_REPO_CLASS_PROP_VAL

          @Deprecated
          static final String DERBY_REPO_CLASS_PROP_VAL

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### AUTH_REPO_URL_PROP_KEY

          @Deprecated
          static final String AUTH_REPO_URL_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### AUTH_REPO_PARAMS_NODE

          @Deprecated
          static final String AUTH_REPO_PARAMS_NODE

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

    - #### AUTH_REPO_DOMAINS_PROP_KEY

          @Deprecated
          static final String AUTH_REPO_DOMAINS_PROP_KEY

      Deprecated. moved to RepositoryFactory
      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaults

          Map<String,Object> getDefaults(Map<String,Object> params)

      Returns default configuration settings for the component as a `Map` with keys as configuration property IDs and values as the configuration property values. All the default parameters returned from this method are later passed to the `setProperties(...)` method. Some of them may have changed value if they have been overwritten in the server configuration. The configuration property value can be of any of the basic types: `int`, `long`, `boolean`, `String`.
      Parameters:
        `params` - is a `Map` with some initial properties set for the starting up server. These parameters can be used as a hints to generate component's default configuration.
      Returns:
        a `Map` with the component default configuration.

    - #### setProperties

          void setProperties(Map<String,Object> properties)
                      throws ConfigurationException

      Sets all configuration properties for the object.
      Parameters:
        `properties` - `Map` with the configuration
      Throws:
        `ConfigurationException` - - if setting configuration will fail which will make it unable to work

Copyright © 2022 "Tigase, Inc.". All rights reserved.